Is librealsense enough or we need to also install realsense_sdk?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Is librealsense enough or we need to also install realsense_sdk?

shome
I am trying to compile pcl with intel realsense support.
I have installed librealsense from :https://github.com/IntelRealSense/librealsense

Do I also need to install realsense_sdk (https://github.com/IntelRealSense/realsense_sdk)?
Reply | Threaded
Open this post in threaded view
|

Re: Is librealsense enough or we need to also install realsense_sdk?

Sérgio Agostinho

> On 22 Oct 2016, at 12:06, shome <[hidden email]> wrote:
>
> I am trying to compile pcl with intel realsense support.
> I have installed librealsense from
> :https://github.com/IntelRealSense/librealsense
>
> Do I also need to install realsense_sdk
> (https://github.com/IntelRealSense/realsense_sdk)?
No. Just pick the one you prefer.

I think that in master we’re currently only supporting real sense SDK, although there’s a (pretty much complete) PR which extends the support to librealsense.

Cheers
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

smime.p7s (4K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Is librealsense enough or we need to also install realsense_sdk?

james
Administrator
In reply to this post by shome
Here is the pull request referenced: https://github.com/PointCloudLibrary/pcl/pull/1633

For now only the SDK is integrated, with librealsense scheduled for 1.9